<?php
/**
 * OptionTree Settings
 */

// Option Tree Settings
add_filter( 'ot_show_pages', '__return_false' );
add_filter( 'ot_show_new_layout', '__return_false' );
add_filter( 'ot_theme_mode', '__return_true' );
add_filter( 'ot_show_options_ui', '__return_true' );
add_filter( 'ot_show_settings_import', '__return_true' );
add_filter( 'ot_show_settings_export', '__return_true' );

require_once('wp-updates-theme.php');
new WPUpdatesThemeUpdater_881( 'http://wp-updates.com/api/2/theme', basename( get_template_directory() ) );

// Load the styles and assets if on the OT pane
global $boxy_pagenow;
if (isset($_GET['page']) && $_GET['page'] != 'ot-theme-options' || !isset($_GET['page'])) {
    function ot_admin_styles() { /* Block the styles from loading anywhere but the admin page */ }
}

# Required: include OptionTree.
load_template( trailingslashit( get_template_directory() ) . 'option-tree/ot-loader.php' );

# Include OptionTree: Self Theme Options
load_template( trailingslashit( get_template_directory() ) . 'options/theme-options.php' );


function selftwo_lang_setup() {
	# Language Settings
	load_theme_textdomain( 'selftwo', get_template_directory() . '/languages' );
}
add_action( 'after_setup_theme', 'selftwo_lang_setup' );

function selftwo_theme_options_buttons() {
    ?>
    <div class="export-theme-option">
    	<div class="form-import">
            <form action="" method="POST" enctype="multipart/form-data">
                <input type="file" name="selftwo_import_file" />
                <button class="button button-primary">Import Theme Options</button>
                <?php if (!empty($_GET['error'])): ?>
                   <p><?php echo esc_html($_GET['error']) ?></p>
                <?php endif ?>
            </form> 
        </div><!-- /.form-import -->
        <div class="form-export">
            <form action="" method="POST">
                <input type="hidden" name="get_options_export_file" />
                <input type="submit" class="button button" value="Export Theme Options" />
            </form>
        </div><!-- /.form-export -->
        <div class="cl"></div>
    </div>
    <?php
}

// Envira Gallery License
add_action( 'after_setup_theme', 'tgm_envira_define_license_key' );
function tgm_envira_define_license_key() {
    
    // If the key has not already been defined, define it now.
    if ( ! defined( 'ENVIRA_LICENSE_KEY' ) ) {
        define( 'ENVIRA_LICENSE_KEY', '93b032dcb25f3564ff1814b3fd777efb' );
    }
    
}

// Import / Export Theme Options
if (isset($_GET['page']) && $_GET['page'] === 'ot-theme-options') {
    add_action( 'admin_notices', 'selftwo_theme_options_buttons', 999 );
}

if($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_FILES['selftwo_import_file']['tmp_name'])) {
    selftwo_import_theme_options();
}

function selftwo_import_theme_options($json_file = false) {

	if ($json_file){
	
		$filename = $json_file;
		
	} else {

	    if($_SERVER['REQUEST_METHOD'] != 'POST') {
	        return;
	    }
	
	    $filename = '';
	
	    if ($_FILES["selftwo_import_file"]["error"] > 0) {
	      // echo "Error: " . $_FILES["file"]["error"] . "<br>";
	    } else {
	      $filename = $_FILES["selftwo_import_file"]["tmp_name"];
	    }
	    
	}

    if($filename) {
        $json = file_get_contents($filename);
    } else {
        $error = urlencode('Please Upload File');
        wp_redirect(home_url("/wp-admin/themes.php?page=ot-theme-options&error=$error"));
        exit;
    }

    if ($json) {
        $encoded_json = json_decode($json);
    } else {
        $error = urlencode('Please upload correct Options file');
        wp_redirect(home_url("/wp-admin/themes.php?page=ot-theme-options&error=$error"));
        exit;
    }

    global $wpdb;
    $theme_options = $encoded_json[0]->option_value;

    $wpdb->query("UPDATE " . $wpdb->options . " SET option_value='" . esc_sql($encoded_json[0]->option_value) . "' WHERE option_name = 'option_tree' ");
    wp_redirect(home_url('/wp-admin/themes.php?page=ot-theme-options&message=updated'));
    exit;
}
 
if ($_SERVER['REQUEST_METHOD'] === "POST" && isset($_POST['get_options_export_file'])) {
    selftwo_export_theme_options();
}

function selftwo_options_updated_message() {
    ?>
    <div class="updated">
        <p><?php _e( 'The theme options have been updated!', 'selftwo' ); ?></p>
    </div>
    <?php
}

if (isset($_GET['page']) && $_GET['page'] === 'ot-theme-options' && isset($_GET['message']) && $_GET['message'] == 'updated'){ add_action( 'admin_notices', 'selftwo_options_updated_message' ); }

function selftwo_export_theme_options() {
    global $wpdb; 
    $theme_options = $wpdb->get_results( 'SELECT * FROM ' . $wpdb->options . ' WHERE `option_name` = "option_tree"' );

    $json = json_encode($theme_options);

    $filename = 'theme-options.json';
    header("Content-type:application/json; charset=utf-8");
    header("Content-Disposition: attachment; filename=theme-options.json");
    echo $json;
    exit;
}


/* REQUIRED PLUGINS */
require_once dirname( __FILE__ ) . '/class-tgm-plugin-activation.php';
add_action( 'tgmpa_register', 'selftwo_register_required_plugins' );

function selftwo_register_required_plugins() {

    $plugins = array(
    
    	array(
            'name'                  => 'Resume Builder',
            'slug'                  => 'resume-builder',
            'required'              => true
        ),
        
        array(
            'name'                  => 'Envira Gallery',
            'slug'                  => 'envira-gallery',
            'source'                => 'http://boxystudio.com/_plugin_cdn/envira-gallery.zip',
            'required'              => false
        ),
        
        array(
            'name'                  => 'Contact Form 7',
            'slug'                  => 'contact-form-7',
            'required'              => false
        ),
 
    );
 
    $theme_text_domain = 'selftwo';
    $config = array(
        'domain'            => $theme_text_domain,           // Text domain - likely want to be the same as your theme.
        'default_path'      => '',                           // Default absolute path to pre-packaged plugins
        'parent_menu_slug'  => 'themes.php',         // Default parent menu slug
        'parent_url_slug'   => 'themes.php',         // Default parent URL slug
        'menu'              => 'install-required-plugins',   // Menu slug
        'has_notices'       => true,                         // Show admin notices or not
        'is_automatic'      => false,            // Automatically activate plugins after installation or not
        'message'           => '',               // Message to output right before the plugins table
        'strings'           => array(
            'page_title'                                => __( 'Install Required Plugins', $theme_text_domain ),
            'menu_title'                                => __( 'Install Plugins', $theme_text_domain ),
            'installing'                                => __( 'Installing Plugin: %s', $theme_text_domain ), // %1$s = plugin name
            'oops'                                      => __( 'Something went wrong with the plugin API.', $theme_text_domain ),
            'notice_can_install_required'               => _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.' ), // %1$s = plugin name(s)
            'notice_can_install_recommended'            => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.' ), // %1$s = plugin name(s)
            'notice_cannot_install'                     => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.' ), // %1$s = plugin name(s)
            'notice_can_activate_required'              => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.' ), // %1$s = plugin name(s)
            'notice_can_activate_recommended'           => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.' ), // %1$s = plugin name(s)
            'notice_cannot_activate'                    => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.' ), // %1$s = plugin name(s)
            'notice_ask_to_update'                      => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.' ), // %1$s = plugin name(s)
            'notice_cannot_update'                      => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.' ), // %1$s = plugin name(s)
            'install_link'                              => _n_noop( 'Begin installing plugin', 'Begin installing plugins' ),
            'activate_link'                             => _n_noop( 'Activate installed plugin', 'Activate installed plugins' ),
            'return'                                    => __( 'Return to Required Plugins Installer', $theme_text_domain ),
            'plugin_activated'                          => __( 'Plugin activated successfully.', $theme_text_domain ),
            'complete'                                  => __( 'All plugins installed and activated successfully. %s', $theme_text_domain ) // %1$s = dashboard link
        )
    );
 
    tgmpa( $plugins, $config );
 
}



define('CRB_THEME_DIR', dirname(__FILE__) . DIRECTORY_SEPARATOR);
define('TP', 'selftwo'); # Theme Prefix
define('TEMPLATE_DIR_URL', get_template_directory_uri());
define('ENABLE_TWITTER_CONFIG', true);

# Enqueue JS and CSS assets on the front-end
add_action('wp_enqueue_scripts', 'crb_wp_enqueue_scripts');
function crb_wp_enqueue_scripts() {
	# Enqueue jQuery
	wp_enqueue_script('jquery');

	# Enqueue Custom JS files
	# @crb_enqueue_script attributes -- id, location, dependencies, in_footer = false
	crb_enqueue_script(TP . '-modernizr', TEMPLATE_DIR_URL . '/js/modernizr.js', array('jquery'));
	crb_enqueue_script(TP . '-fitvids', TEMPLATE_DIR_URL . '/js/fitvids.js', array('jquery'));
	crb_enqueue_script(TP . '-slicknav', TEMPLATE_DIR_URL . '/js/jquery.slicknav.min.js', array('jquery'));
	crb_enqueue_script(TP . '-easing', TEMPLATE_DIR_URL . '/js/jquery.easing.js', array('jquery'));
	crb_enqueue_script(TP . '-functions', TEMPLATE_DIR_URL . '/js/functions.js', array('jquery'));

	# IE scripts
	if ( self_is_IE() ) {
		crb_enqueue_script(TP . '-html5-shiv', 'http://html5shiv.googlecode.com/svn/trunk/html5.js');
	}
	
	# Enqueue Custom CSS files
	# @crb_enqueue_style attributes -- id, location, dependencies, media = all
	$custom_google_font = ot_get_option('to_general_custom_font','Abel');
  	crb_enqueue_style( TP . '-gf-custom', 'http://fonts.googleapis.com/css?family='.$custom_google_font.':100,200,300,400,500,600,700,800&subset=latin,cyrillic-ext,cyrillic,greek-ext,vietnamese,latin-ext');
	if (!function_exists('rb_register_post_type_resume')){ crb_enqueue_style(TP . '-font-awesome', TEMPLATE_DIR_URL . '/css/font-awesome.css'); }
	crb_enqueue_style(TP . '-slicknav', TEMPLATE_DIR_URL . '/css/slicknav.css');
	crb_enqueue_style(TP . '-styles', TEMPLATE_DIR_URL . '/style.css');

	# Enqueue Comments JS file
	if (is_singular()) {
		wp_enqueue_script('comment-reply');
	}
}

# Enqueue JS and CSS assets on admin pages
add_action('admin_enqueue_scripts', 'crb_admin_enqueue_scripts');
add_action('login_enqueue_scripts', 'crb_admin_enqueue_scripts');
function crb_admin_enqueue_scripts() {
	# Enqueue Styles
	# @crb_enqueue_script attributes -- id, location, dependencies, in_footer = false
	# crb_enqueue_script('theme-admin-functions', $template_dir . '/js/admin-functions.js', array('jquery'));
	
	# Enqueue Scripts
	# @crb_enqueue_style attributes -- id, location, dependencies, media = all
	# crb_enqueue_style(TP . '-admin-styles', TEMPLATE_DIR_URL . '/css/admin.css');
}

add_action('after_setup_theme', 'crb_setup_theme');
# To override theme setup process in a child theme, add your own crb_setup_theme() to your child theme's
# functions.php file.
if (!function_exists('crb_setup_theme')) {
	function crb_setup_theme() {
		include_once(CRB_THEME_DIR . 'lib/common.php');
		if ( !class_exists('Carbon_Field') ) {
			include_once(CRB_THEME_DIR . 'lib/carbon-fields/carbon-fields.php');
		}

		# Theme supports
		add_theme_support('automatic-feed-links');

		# Manually select Post Formats to be supported - http://codex.wordpress.org/Post_Formats
		add_theme_support('post-formats', array( 'video', 'audio' ));

		# Register Theme Menu Locations
		add_theme_support('menus');
		register_nav_menus(array(
			'header-menu' => __('Header Menu', 'selftwo'),
		));

		# Attach custom widgets
		include_once(CRB_THEME_DIR . 'options/widgets.php');

		# Attach custom shortcodes
		include_once(CRB_THEME_DIR . 'options/shortcodes.php');
		
		# Attach custom shortcodes
		include_once(CRB_THEME_DIR . 'options/custom-fields.php');

		# Add Actions
		add_action('widgets_init', 'crb_widgets_init');

		/**
		 * Custom Image Sizes
		 */
		add_theme_support('post-thumbnails');

		# Favicon
		add_image_size(TP . '_favicon', 32, 32, true);

		# Home Template
		add_image_size(TP . '_tpl_home_banner_image', 2000, 2000, false);
		add_image_size(TP . '_tpl_home_headshot', 237, 303, true);

		# Post
		add_image_size(TP . '_post_thumbnail_small', 169, 169, true);
	}
}

# Register Sidebars
# Note: In a child theme with custom crb_setup_theme() this function is not hooked to widgets_init
function crb_widgets_init() {
	# Default Sidebar
	$sidebar_options_default = array_merge(crb_get_default_sidebar_options(), array(
		'name' => __('Default Sidebar', 'selftwo'),
		'id'   => 'default-sidebar',
	));
	register_sidebar($sidebar_options_default);

	# Home Sidebar
	$sidebar_options_home = array_merge(crb_get_default_sidebar_options(), array(
		'name' => __('Home Sidebar', 'selftwo'),
		'id'   => 'home-sidebar',
	));
	register_sidebar($sidebar_options_home);

	# Resume Sidebar
	$sidebar_options_resume = array_merge(crb_get_default_sidebar_options(), array(
		'name' => __('Resume Sidebar', 'selftwo'),
		'id'   => 'resume-sidebar',
	));
	register_sidebar($sidebar_options_resume);
}

# Sidebar Options
function crb_get_default_sidebar_options() {
	return array(
		'before_widget' => '<li id="%1$s" class="widget %2$s">',
		'after_widget'  => '</li>',
		'before_title'  => '<h4 class="widget-title">',
		'after_title'   => '</h4>',
	);
}

# Custom code goes below this line

/**
 * Checks if the current browse is IE
 */
function self_is_IE() {
	global $is_IE;
	return $is_IE;
}

/**
 * Outputs the favicon in wp_head();
 */
add_action('wp_head', 'self_output_favicon');
function self_output_favicon() {
	$favicon_url = ot_get_option('to_general_favicon');
	if ( !empty($favicon_url) ) {
		echo '<link rel="shortcut icon" href="' . $favicon_url . '">';
	}
}

/**
 * Renders the Header Logo
 */
function self_render_header_logo() {
	$header_logo = ot_get_option( 'to_header_logo' );
	if ( !empty($header_logo) ) {
		?>
		<div class="logo">
			<a href="<?php echo home_url('/'); ?>">
				<img src="<?php echo $header_logo; ?>" alt="<?php bloginfo('name'); ?>" />
			</a>
		</div>
		<?php
	}
}

/**
 * Checks if the current page is archive, search or home
 * 
 * @return bool
 */
function self_is_non_singular() {
	return is_archive() || is_search() || is_home();
}

/**
 * Renders the page title depending on the current page
 * 
 * @return html
 * @see loop.php
 */
function self_page_title() {
	$page_title = '';

	if ( is_archive() ) {
		if ( is_category() ) {
			$page_title .= single_cat_title('', false);
		} elseif ( is_tag() ) {
			$page_title .= single_tag_title('', false);
		} elseif ( is_day() ) {
			$page_title .= get_the_time('F jS, Y');
		} elseif ( is_month() ) {
			$page_title .= get_the_time('F, Y');
		} elseif ( is_year() ) {
			$page_title .= get_the_time('Y');
		} elseif ( is_author() ) {
			$page_title .= __('Author Archive', 'selftwo');
		} elseif ( isset($_GET['paged']) && !empty($_GET['paged']) ) {
			$page_title .= __('Blog Archives', 'selftwo');
		}
	} elseif ( is_search() ) {
		$page_title .= __('Search for:', 'selftwo') . ' <em>' . get_search_query() . '</em>';
	} elseif ( is_404() ) {
		$page_title .= __('404 Error Page', 'selftwo');
	} elseif ( is_home() ) {
		$page_for_posts = get_option('page_for_posts');
		if ($page_for_posts) {
			$page_title = get_the_title($page_for_posts);
		}
	}

	# Returning the output if there is such
	if ( !empty($page_title) ) {
		echo '<h1 class="title">' . $page_title . '</h1>';
	}
}

/**
 * Renders the current post title
 * 
 * @return html
 * @see loop.php
 */
function self_post_title($not_single = true) {
	global $post;
	$post_title = $post->post_title;

	if( self_is_non_singular() ) {
		$post_title = '<a href="' . get_permalink($post->ID) . '">' . $post_title . '</a>';
	} else {
		if ( ($hide_title = get_post_meta($post->ID, 'page_hide_title', true)) && $hide_title == 'yes' ) {
			$post_title = '';
		}
	}

	if ( !empty($post_title) ) {
		if ($not_single) { echo '<h2 class="entry-title">' . $post_title . '</h2>'; } else { echo '<h1 class="entry-title">' . $post_title . '</h1>'; }
	}
}

/**
 * Returns the content of the current post/page
 * 
 * Checks if the page is in listing page. If true, returns excerpt.
 * Otherwise, returns the whole content.
 */
function self_the_content() {
	global $post;
	$post_content = $post->post_content;

	if ( self_is_non_singular() ) { # Listing page
		if ( $more_tag_pos = strpos($post_content, '<!--more-->') ) { # Check for more tag
			$post_content = strip_tags(substr($post_content, 0, $more_tag_pos));
		} else {
			$post_content = get_the_excerpt();
		}
	}

	echo apply_filters('the_content', $post_content);
}

/**
 * Returns a list with the default socials used in the theme
 */
function self_get_socials() {
	return array(
		'facebook' => array(
			'label' => __('Facebook', 'selftwo'),
			'icon'  => 'facebook'
		),
		'twitter' => array(
			'label' => __('Twitter', 'selftwo'),
			'icon'  => 'twitter',
		),
		'linkedin' => array(
			'label' => __('LinkedIn', 'selftwo'),
			'icon'  => 'linkedin',
		),
		'github' => array(
			'label' => __('GitHub', 'selftwo'),
			'icon'  => 'github-alt',
		),
		'foursquare' => array(
			'label' => __('Foursquare', 'selftwo'),
			'icon'  => 'foursquare',
		),
		'behance' => array(
			'label' => __('Behance', 'selftwo'),
			'icon'  => 'behance',
		),
		'google_plus' => array(
			'label' => __('Google Plus', 'selftwo'),
			'icon'  => 'google-plus',
		),
		'dribbble' => array(
			'label' => __('Dribbble', 'selftwo'),
			'icon'  => 'dribbble',
		),
		'instagram' => array(
			'label' => __('Instagram', 'selftwo'),
			'icon'  => 'instagram',
		),
		'pinterest' => array(
			'label' => __('Pinterest', 'selftwo'),
			'icon'  => 'pinterest',
		),
		'soundcloud' => array(
			'label' => __('SoundCloud', 'selftwo'),
			'icon'  => 'soundcloud',
		),
		'skype' => array(
			'label' => __('Skype', 'selftwo'),
			'icon'  => 'skype',
		),
		'slideshare' => array(
			'label' => __('SlideShare', 'selftwo'),
			'icon'  => 'slideshare',
		),
		'flickr' => array(
			'label' => __('Flickr', 'selftwo'),
			'icon'  => 'flickr',
		),
		'vimeo' => array(
			'label' => __('Vimeo', 'selftwo'),
			'icon'  => 'vimeo-square',
		),
		'youtube' => array(
			'label' => __('YouTube', 'selftwo'),
			'icon'  => 'youtube-play',
		),
	);
}

/**
 * Returns the Theme Options for the Socials
 */
function self_get_ot_to_socials() {
	$socials = self_get_socials();
	$output  = array();
	$label_url = __('URL', 'selftwo');

	foreach ($socials as $s_ID => $s_details) {
		$output[] = array(
			'id'      => 'to_social_' . $s_ID,
			'label'   => __($s_details['label'], 'selftwo') . ' ' . $label_url,
			'type'    => 'text',
			'std'     => '',
			'section' => 'to_socials',
		);
	}

	return $output;
}

/**
 * Renders the Socials
 */
function self_render_socials() {
	$socials = self_get_socials();
	if (!$socials) {
		return;
	}

	ob_start();

	foreach ($socials as $social_ID => $social_details) {
		$social_URL = ot_get_option('to_social_' . $social_ID);
		if ( empty($social_URL) ) {
			continue;
		}
		echo '<li><a href="' . $social_URL . '" target="_blank" title="' . $social_details['label'] . '"><i class="fa fa-' . $social_details['icon'] . '"></i><small></small></a></li>';
	}

	$output = ob_get_clean();
	if ( !empty($output) ) {
		?>
		<div class="socials">
			<ul>
				<?php echo $output; ?>
			</ul>
		</div>
		<?php
	}
}

/**
 * Renders the Header Bar
 */
function self_render_header_bar() {
	$header_left_choice  = ot_get_option('to_header_bottom_left');
	$header_right_choice = ot_get_option('to_header_bottom_right');
	if ( empty($header_left_choice) && empty($header_right_choice) ) {
		return;
	}
	?>
	<div class="utility-bar">
		<div class="shell clearfix">
			<?php
			# Header Left Text
			if ( $header_left_choice ) {
				echo '<div class="left">';
					if ( $header_left_choice == 'text' ) {
						$header_left_text = ot_get_option('to_header_bottom_left_text');
						if ($header_left_text) {
							echo '<p class="job">' . $header_left_text . '</p>';
						}
					} elseif ($header_left_choice == 'socials') {
						self_render_socials();
					}
				echo '</div>';
			}

			# Header Right Text
			if ( $header_right_choice ) {
				echo '<div class="right">';
					if ( $header_right_choice == 'text' ) {
						$header_right_text = ot_get_option('to_header_bottom_right_text');
						if ($header_right_text) {
							echo '<p class="job">' . $header_right_text . '</p>';
						}
					} elseif ($header_right_choice == 'socials') {
						self_render_socials();
					}
				echo '</div>';
			}
			?>
		</div><!-- /shell -->
	</div><!-- /utility-bar -->

	<div class="color-bar">
		<span class="color-bar-1"></span>
		<span class="color-bar-2"></span>
		<span class="color-bar-3"></span>
		<span class="color-bar-4"></span>
		<span class="color-bar-5"></span>
	</div>
	<?php
}

/**
 * Renders the Post Meta of a single post
 */
function self_post_meta() {
	$post_ID = get_the_ID();
	?>

	<p class="entry-meta">
		<?php
		# Date
		$post_date  = get_the_time('F j, Y', $post_ID);
		$post_year  = get_the_time('Y', $post_ID);
		$post_month = get_the_time('m', $post_ID);
		$post_day   = get_the_time('d', $post_ID);
		$post_date_link = get_day_link($post_year, $post_month, $post_day);
		echo '<a class="entry-date" href="' . $post_date_link . '"><i class="fa fa-calendar-o"></i>' . $post_date . '</a>';

		# Author
		echo '<a class="entry-author" href="' . get_author_posts_url( get_the_author_meta( 'ID' ) ) . '"><i class="fa fa-user"></i>';
			the_author_meta( 'display_name' );
		echo '</a>';

		# Comments
		echo '<a class="entry-comments" href="' . get_comments_link() . '"><i class="fa fa-comment-o"></i>' . __('Comments', 'selftwo') . '</a>';
		?>
	</p>

	<?php
}

/**
 * Renders the Pagination for Single Post
 */
function self_single_post_pagination() {
	echo '<div class="nav-single clearfix">';
		previous_post_link('<div class="alignleft">« %link</div>', '%title', true);
		next_post_link('<div class="alignright">%link »</div>', '%title', true);
	echo '</div><!-- /pagination -->';
}

/**
 * Renders the Pagination for non Singular Pages
 */
function self_non_singular_pagination() {
	global $wp_query;
	if ($wp_query->max_num_pages > 1) {
		?>

		<div class="posts-pagination clearfix">
			<?php if ( get_next_posts_link() ) : ?>
				<div class="alignleft">
					<?php next_posts_link('&laquo; ' . __('Older Entries', 'selftwo'), ''); ?>
				</div>
			<?php endif; ?>
			<?php if ( get_previous_posts_link() ) : ?>
				<div class="alignright">
					<?php previous_posts_link( __('Newer Entries', 'selftwo') . ' &raquo;'); ?>
				</div>
			<?php endif; ?>
		</div>

		<?php
	}
}

/**
 * Renders the Banner on Home template
 */
function self_tpl_home_render_banner() {
	$banner_image = ot_get_option('to_banner_image');
	$banner_text = ot_get_option('to_banner_text');
	
	$banner_src = wp_get_attachment_image_src( $banner_image,'full' );
	$banner_image = $banner_src[0];

	ob_start();

	# Banner Image
	if ( !empty($banner_image) ) {
		echo '<img width="2000" src="'.$banner_image.'" class="home-banner attachment-selftwo_tpl_home_banner_image" alt="" />';
	}

	# Banner Text
	if ( !empty($banner_text) ) {
		?>
		<div class="banner-text">
			<div class="shell">
				<?php echo apply_filters('the_content', $banner_text); ?>
			</div>
		</div>
		<?php
	}

	$output = ob_get_clean();
	if ( !empty($output) ) {
		?>
		<div class="banner<?php if ( !empty($banner_text) ) { ?> with-text<?php } ?>">
			<?php echo $output; ?>
			<div class="color-bar">
				<span class="color-bar-1"></span>
				<span class="color-bar-2"></span>
				<span class="color-bar-3"></span>
				<span class="color-bar-4"></span>
				<span class="color-bar-5"></span>
			</div>
		</div><!-- /banner -->
		<?php
	}
}

/**
 * Converts a given HEX color to its RGB
 */
function self_hex_to_rgba($hex, $opacity = 1) {
	if ( substr($hex, 0, 1) == '#' ) {
		$hex = substr($hex, 1);
	}

	$r = hexdec( substr($hex, 0, 2) );
	$g = hexdec( substr($hex, 2, 2) );
	$b = hexdec( substr($hex, 4, 2) );

	$output = "rgba({$r}, {$g}, {$b}, {$opacity})";
	return $output;
}

/**
 * Renders the custom css data
 */
add_action('wp_head', 'self_render_custom_css');
function self_render_custom_css() {

	$theme_options = get_option( ot_options_id() );
	$theme_uri = get_template_directory_uri();
	
	$pattern_file = dirname(__FILE__) . '/lib/custom-css-pattern.php';
	if ( !file_exists($pattern_file) ) {
		return;
	}

	ob_start();
	echo '<style type="text/css">';
	include_once $pattern_file;
	echo '</style>';
	$output = ob_get_clean();
	
	echo $output;
}

/**
 * Renders the footer
 */
function self_render_footer() {
	$footer_left_choice  = ot_get_option('to_footer_bottom_left');
	$footer_right_choice = ot_get_option('to_footer_bottom_right');
	if ( empty($footer_left_choice) && empty($footer_right_choice) ) {
		return;
	}
	?>
	<div class="footer">
		<div class="shell clearfix">
			<?php
			# Header Left Text
			if ( $footer_left_choice ) {
				echo '<div class="left">';
					if ( $footer_left_choice == 'text' ) {
						$footer_left_text = ot_get_option('to_footer_bottom_left_text');
						if ($footer_left_text) {
							echo '<p class="copyright">' . do_shortcode($footer_left_text) . '</p>';
						}
					} elseif ($footer_left_choice == 'socials') {
						self_render_socials();
					}
				echo '</div>';
			}

			# Header Right Text
			if ( $footer_right_choice ) {
				echo '<div class="right">';
					if ( $footer_right_choice == 'text' ) {
						$footer_right_text = ot_get_option('to_footer_bottom_right_text');
						if ($footer_right_text) {
							echo '<p class="footer-text">' . do_shortcode($footer_right_text) . '</p>';
						}
					} elseif ($footer_right_choice == 'socials') {
						self_render_socials();
					}
				echo '</div>';
			}
			?>
		</div>
	</div>
	<?php
}

/**
 * Returns the Color Options
 */
function self_get_to_color_options() {
	$options = array(
	
		# Header Background
		'header_bg_color' => array( # Color
			'type'  => 'colorpicker',
			'label' => __('Header Background', 'selftwo'),
			'std'   => '#e04c38',
		),
		'header_bg_opacity' => array( # Opacity
			'type'  => 'numeric-slider',
			'label' => __('Header Background Opacity', 'selftwo'),
			'min_max_step' => '0,1,0.01',
			'std'   => '0.9',
		),

		# Navigation
		'navigation_text_color' => array( # Text Color
			'type'  => 'colorpicker',
			'label' => __('Navigation Text', 'selftwo'),
			'std'   => '#ffffff',
		),
		'navigation_text_hover_color' => array( # Text Hover Color
			'type'  => 'colorpicker',
			'label' => __('Navigation Text Hover', 'selftwo'),
			'std'   => '#ffffff',
		),
		'navigation_text_bg_hover_color' => array( # Background Hover Color
			'type'  => 'colorpicker',
			'label' => __('Navigation Text Background Hover Color', 'selftwo'),
			'std'   => '#b53322',
		),

		# Dropdown
		'dropdown_bg_color' => array( # Background Color
			'type'  => 'colorpicker',
			'label' => __('Dropdown Background Color', 'selftwo'),
			'std'   => '#b53322',
		),
		'dropdown_text_color' => array( # Text Color
			'type'  => 'colorpicker',
			'label' => __('Dropdown Text Color', 'selftwo'),
			'std'   => '#ffffff',
		),
		'dropdown_text_hover_color' => array( # Text Hover Color
			'type'  => 'colorpicker',
			'label' => __('Dropdown Text Hover Color', 'selftwo'),
			'std'   => '#0a0a0a',
		),
		'dropdown_bg_hover_color' => array( # Background Hover Color
			'type'  => 'colorpicker',
			'label' => __('Dropdown Background Hover Color', 'selftwo'),
			'std'   => '#ffffff',
		),

		# Header Bar
		'header_bar_bg_color' => array( # Background Color
			'type'  => 'colorpicker',
			'label' => __('Top bar Background Color', 'selftwo'),
			'std'   => '#171110',
		),
		'header_bar_bg_opacity' => array( # Background Opacity
			'type'  => 'numeric-slider',
			'label' => __('Top bar Background Opacity', 'selftwo'),
			'min_max_step' => '0,1,0.01',
			'std'   => '0.9',
		),
		'header_bar_text_color' => array( # Text Color
			'type'  => 'colorpicker',
			'label' => __('Top bar Text Color', 'selftwo'),
			'std'   => '#ffffff',
		),
		'header_bar_link_color' => array( # Link Color
			'type'  => 'colorpicker',
			'label' => __('Top bar Link Color', 'selftwo'),
			'std'   => '#ffffff',
		),
		'header_bar_social_icon_bg_color' => array( # Social Icon BG Color
			'type'  => 'colorpicker',
			'label' => __('Top bar Social Icon Background Color', 'selftwo'),
			'std'   => '#333333',
		),
		'header_bar_social_icon_bg_hover_color' => array( # Social Icon Background Hover Color
			'type'  => 'colorpicker',
			'label' => __('Top bar Social Icon Background Hover Color', 'selftwo'),
			'std'   => '#e14d39',
		),
		'header_bar_social_icon_color' => array( # Social Icon Color
			'type'  => 'colorpicker',
			'label' => __('Top bar Social Icon Color', 'selftwo'),
			'std'   => '#ffffff',
		),
		'header_bar_social_icon_hover_color' => array( # Social Icon Hover Color
			'type'  => 'colorpicker',
			'label' => __('Top bar Social Icon Hover Color', 'selftwo'),
			'std'   => '#ffffff',
		),
		
		# Color Bar
		'color_bar_bg_color_1' => array(
			'type'  => 'colorpicker',
			'label' => __('Color Bar Background Color #1', 'selftwo'),
			'std'   => '#e14d39',
		),
		'color_bar_bg_color_2' => array(
			'type'  => 'colorpicker',
			'label' => __('Color Bar Background Color #2', 'selftwo'),
			'std'   => '#c13030',
		),
		'color_bar_bg_color_3' => array(
			'type'  => 'colorpicker',
			'label' => __('Color Bar Background Color #3', 'selftwo'),
			'std'   => '#e14d39',
		),
		'color_bar_bg_color_4' => array(
			'type'  => 'colorpicker',
			'label' => __('Color Bar Background Color #4', 'selftwo'),
			'std'   => '#c13030',
		),
		'color_bar_bg_color_5' => array(
			'type'  => 'colorpicker',
			'label' => __('Color Bar Background Color #5', 'selftwo'),
			'std'   => '#e14d39',
		),

		# Banner
		'banner_text_color' => array( # Banner Text Color
			'type'  => 'colorpicker',
			'label' => __('Banner Text Color', 'selftwo'),
			'std'   => '#ffffff',
		),

		# Inner Page
		'inner_page_bg_color' => array( # Background Color
			'type'  => 'colorpicker',
			'label' => __('Inner Page Sidebar Background Color', 'selftwo'),
			'std'   => '#f5f5f5',
		),
		'inner_page_text_color' => array( # Inner Page Text Color
			'type'  => 'colorpicker',
			'label' => __('Inner Page Text Color', 'selftwo'),
			'std'   => '#555555',
		),
		'inner_page_link_color' => array( # Inner Page Link Color
			'type'  => 'colorpicker',
			'label' => __('Inner Page Link Color', 'selftwo'),
			'std'   => '#e04c38',
		),
		'inner_page_secondary_color' => array( # Inner Page Secondary Color
			'type'  => 'colorpicker',
			'label' => __('Inner Page Secondary Color', 'selftwo'),
			'std'   => '#e04c38',
		),

		# Open Button
		'button_open_border_color' => array( # Open Button Border Color
			'type'  => 'colorpicker',
			'label' => __('Open Button Border Color', 'selftwo'),
			'std'   => '#555555',
		),
		'button_open_border_hover_color' => array( # Open Button Border Hover Color
			'type'  => 'colorpicker',
			'label' => __('Open Button Border Hover Color', 'selftwo'),
			'std'   => '#000000',
		),
		'button_open_text_color' => array( # Open Button Text Color
			'type'  => 'colorpicker',
			'label' => __('Open Button Text Color', 'selftwo'),
			'std'   => '#555555',
		),
		'button_open_text_hover_color' => array( # Open Button Text Hover Color
			'type'  => 'colorpicker',
			'label' => __('Open Button Text Hover Color', 'selftwo'),
			'std'   => '#000000',
		),

		# Filled Button
		'button_filled_bg_color' => array( # Filled Button Background Color
			'type'  => 'colorpicker',
			'label' => __('Filled Button Background Color', 'selftwo'),
			'std'   => '#e04c38',
		),
		'button_filled_bg_hover_color' => array( # Filled Button background Hover Color
			'type'  => 'colorpicker',
			'label' => __('Filled Button Background Hover Color', 'selftwo'),
			'std'   => '#ad3a2b',
		),
		'button_filled_text_color' => array( # Filled Button Text Color
			'type'  => 'colorpicker',
			'label' => __('Filled Button Text Color', 'selftwo'),
			'std'   => '#ffffff',
		),
		'button_filled_text_hover_color' => array( # Filled Button Text Hover Color
			'type'  => 'colorpicker',
			'label' => __('Filled Button Text Hover Color', 'selftwo'),
			'std'   => '#ffffff',
		),

		# Sidebar Home
		'sidebar_home_bg_color' => array( # Home Sidebar Background Color
			'type'  => 'colorpicker',
			'label' =>  __('Home Sidebar Background Color', 'selftwo'),
			'std'   => '#e04c38',
		),
		'sidebar_home_text_color' => array( # Home Sidebar Text Color
			'type'  => 'colorpicker',
			'label' =>  __('Home Sidebar Text Color', 'selftwo'),
			'std'   => '#ffffff',
		),
		'sidebar_home_icon_color' => array( # Home Sidebar Icon Color
			'type'  => 'colorpicker',
			'label' =>  __('Home Sidebar Icon Color', 'selftwo'),
			'std'   => '#555555',
		),
		'sidebar_home_icon_bg_color' => array( # Home Sidebar Icon Background Color
			'type'  => 'colorpicker',
			'label' =>  __('Home Sidebar Icon Background Color', 'selftwo'),
			'std'   => '#ffffff',
		),

		# Footer Bar
		'footer_bar_bg_color' => array( # Background Color
			'type'  => 'colorpicker',
			'label' => __('Footer Background Color', 'selftwo'),
			'std'   => '#2e2827',
		),
		'footer_bar_text_color' => array( # Text Color
			'type'  => 'colorpicker',
			'label' => __('Footer Text Color', 'selftwo'),
			'std'   => '#ffffff',
		),
		'footer_bar_link_color' => array( # Link Color
			'type'  => 'colorpicker',
			'label' => __('Footer Link Color', 'selftwo'),
			'std'   => '#ffffff',
		),
		'footer_bar_social_icon_bg_color' => array( # Social Icon BG Color
			'type'  => 'colorpicker',
			'label' => __('Footer Social Icon Background Color', 'selftwo'),
			'std'   => '#ffffff',
		),
		'footer_bar_social_icon_bg_hover_color' => array( # Social Icon Background Hover Color
			'type'  => 'colorpicker',
			'label' => __('Footer Social Icon Background Hover Color', 'selftwo'),
			'std'   => '#e04c38',
		),
		'footer_bar_social_icon_color' => array( # Social Icon Color
			'type'  => 'colorpicker',
			'label' => __('Footer Social Icon Color', 'selftwo'),
			'std'   => '#ffffff',
		),
		'footer_bar_social_icon_hover_color' => array( # Social Icon Hover Color
			'type'  => 'colorpicker',
			'label' => __('Footer Social Icon Hover Color', 'selftwo'),
			'std'   => '#ffffff',
		),
	);

	$output_options = array();
	foreach ($options as $o_ID => $o_details) {
		$output_options[] = array(
			'id'    => 'to_color_' . $o_ID,
			'type'  => $o_details['type'],
			'label' => $o_details['label'],
			'std'	=> $o_details['std'],
			'section' => 'to_colors',
			'min_max_step' => ( isset($o_details['min_max_step']) ? $o_details['min_max_step'] : '' ),
		);
	}

	return $output_options;
}

/**
 * Returns the content position
 */
function self_get_content_position() {
	
	$content_position = 'left';
	if ( is_page() || is_front_page() ) {
		$content_position = get_post_meta( get_the_ID(), 'page_content_position', true );
	}
	
	return $content_position;
	
}

/**
 * Returns the Sidebar Position
 */
function self_get_sidebar_position() {
	$content_position = self_get_content_position();

	return ( $content_position == 'left' ? 'right' : 'left' );
}