<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head profile="http://gmpg.org/xfn/11">

	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	
	<title><?php wp_title('&laquo;', true, 'right'); ?> <?php bloginfo('name'); ?></title>
	
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	
	<?php
	
	// Custom CSS and Logo Height
	$custom_css = ot_get_option('to_self_custom_css');
	
	// Logo Settings / Custom CSS
	if ($custom_css) {
		echo '<style type="text/css">';
			echo $custom_css.' ';
		echo '</style>';
	}
	
	if (is_singular()): wp_enqueue_script( 'comment-reply' ); endif;
	
	wp_head(); ?>
	
</head>

<body <?php body_class(); ?>><?php

// Google Analytics
$google_analytics = ot_get_option('to_self_google_analytics');
if ($google_analytics) {
	echo $google_analytics;
} ?>

<div class="container">
	<header class="header">
	
		<?php
		
		echo '<div id="mobileSlickNav"></div>';
		wp_nav_menu(array('container' => false, 'menu_id' => 'mobileNav','theme_location' => 'header-menu'));
					
		?>
		
		<div class="header-main">
			<div class="shell clearfix">
				<?php
				# Header Logo
				self_render_header_logo();

				# Header Menu
				if ( has_nav_menu('header-menu') ) {
				
					echo '<nav class="nav">';
						echo '<a class="nav-btn" href="#"><span></span><span></span><span></span></a>';

						wp_nav_menu(array(
							'theme_location' => 'header-menu',
							'items_wrap'     => '<ul id="%1$s" class="clearfix %2$s">%3$s</ul>',
						));
					echo '</nav>';
					
				}
				?>
			</div><!-- /shell -->
		</div><!-- /header-main -->
		
		<?php self_render_header_bar(); # Header Bar ?>
	</header><!-- /header -->