;(function($, document, window) {
	var $doc = $(document),
		$win = $(window),
		$body,
		$sidebar,
		$header,
		$banner;

	//document ready functions
	$doc.on('ready', function(){
	
		$body = $('body');
		$sidebar = $('.sidebar');
		$header = $('.header');
		$banner = $('.banner');

		$('.nav')
			.on('click', '.nav-btn', function(e){
				$(this).parent().toggleClass('open');
				e.preventDefault();
			});

		if ( !$sidebar.length ) {
			$body.addClass('no-sidebar');
		}
		
		if ( $sidebar.hasClass('right') ) {
			$body.addClass('right-sidebar');
		}

		if ( $sidebar.hasClass('left') ) {
			$body.addClass('left-sidebar');
		}

		$('.article').fitVids();
		
		$('ul#mobileNav').slicknav({
			label: 'MENU',
			duration: 400,
			easingOpen: "easeOutExpo", //available with jQuery UI
			easingClose: "easeOutExpo",
			prependTo:'#mobileSlickNav'
		});

		fullScreen( $banner.find('img'), $banner );
		initColorBar();
		
		setTimeout(function(){
			fullScreen( $banner.find('img'), $banner );
		},100);
		
	});

	//window load functions
	$win.on('load', function(){
		centerBannerText();

		if ( $('.no-generatedcontent').length ) {
			$('.container-side').height($('.container').height());
		}
	});

	//window resize functions
	$win.on('resize', function(){
		centerBannerText();
		fullScreen( $banner.find('img'), $banner );
	});
	
	function initColorBar(){
	
		updateColorBarSizes();
		
		var colorBarSizeChange = setInterval(function(){
			updateColorBarSizes();	
		}, 5000);
		
	}
	
	function updateColorBarSizes(){
	
		$colorbar = $('.color-bar');
		$colorbar_1 = $('.color-bar-1');
		$colorbar_2 = $('.color-bar-2');
		$colorbar_3 = $('.color-bar-3');
		$colorbar_4 = $('.color-bar-4');
		$colorbar_5 = $('.color-bar-5');
		
		$color_1_size = randomIntFromInterval(15,25);
		$color_2_size = randomIntFromInterval(15,25);
		$color_3_size = randomIntFromInterval(15,25);
		$color_4_size = randomIntFromInterval(15,25);
		$color_5_size = 100 - ($color_1_size + $color_2_size + $color_3_size + $color_4_size);
		
		$colorbar_1.css({'width':$color_1_size+'%'});
		$colorbar_2.css({'width':$color_2_size+'%'});
		$colorbar_3.css({'width':$color_3_size+'%'});
		$colorbar_4.css({'width':$color_4_size+'%'});
		$colorbar_5.css({'width':$color_5_size+'%'});
		
	}
	
	function randomIntFromInterval(min,max){
   		return Math.floor(Math.random()*(max-min+1)+min);
   	}

	function centerBannerText(){
		var $bannerText = $banner.find('.banner-text');
		var bannerHeight = $banner.height();
		var headerHeight = $header.height();
		var textHeight = $bannerText.height();

		$bannerText.css({ 'margin-top': -textHeight/2 + headerHeight/2 })
	}

	function fullScreen( $image, $imgContainer ){
		if ($imgContainer.hasClass('with-text')){
			var containerW = $imgContainer.width(),
				containerH = $imgContainer.height(),
				image = $image,
				imageW = parseInt(image.attr('width'), 10),
				imageH = parseInt(image.attr('height'), 10),
				cRatio = containerH/containerW,
				iRatio = imageH/imageW,
				imageAdjustWidth = 2000;
				
			//if (containerW < 700){ imageAdjustWidth = 900; } else if (containerW < 1000){ imageAdjustWidth = 1500; } else { imageAdjustWidth = 2000; }
	
			if (iRatio < cRatio) {
				image.css({
					'width': containerH/iRatio,
					'height': containerH
				});
			} else {
				image.css({
					'width': imageAdjustWidth,
					'height': imageAdjustWidth * iRatio
				});
			}
			
			image.css({
				'top': (containerH - image.height())/2,
				'left': (containerW - image.width())/2
			});
		}
	};
}(jQuery, document, window));