<?php

// Banner Height
$banner_height = 597;
$banner_text = ot_get_option('to_banner_text');

if ($theme_options['to_banner_image']) {
	$banner_src = wp_get_attachment_image_src( $theme_options['to_banner_image'],'full' );
	$banner_image = $banner_src[0];
	$banner_height = $banner_src[2];
}

// Main Font
$main_font = str_replace('+',' ',ot_get_option('to_general_custom_font','Roboto Condensed'));

// Boxed Style
$boxed_style = (isset($theme_options['to_boxed_style']) && $theme_options['to_boxed_style'] == 'yes' ? true : false );
if ($boxed_style){ ?>.container { min-height:1px; width:1040px; margin:30px auto; }<?php }

// Body Background Settings
$body_bg_color = (isset($theme_options['to_color_body_bg_color']) ? $theme_options['to_color_body_bg_color'] : '#000000' );
$body_bg_image = (isset($theme_options['to_color_body_bg_image']) ? $theme_options['to_color_body_bg_image'] : false );
$body_bg_image_position = (isset($theme_options['to_color_body_bg_position']) ? $theme_options['to_color_body_bg_position'] : 'top center' );
$body_bg_image_repeat = (isset($theme_options['to_color_body_bg_repeat']) ? $theme_options['to_color_body_bg_repeat'] : 'no-repeat' );
$body_bg_image_fixed = (isset($theme_options['to_color_body_bg_fixed']) ? $theme_options['to_color_body_bg_fixed'] : 'scroll' );

// Hidden on Mobile
$hidden_on_mobile = (isset($theme_options['to_hidden_mobile_elements']) ? $theme_options['to_hidden_mobile_elements'] : false);
if ($hidden_on_mobile && !empty($hidden_on_mobile)){

	?>@media (max-width: 590px) {<?php
	
	if (isset($hidden_on_mobile[0]) && isset($hidden_on_mobile[1])){
		?>.utility-bar { display:none; }
		<?php
	} else if (isset($hidden_on_mobile[0]) && !isset($hidden_on_mobile[1])){
		?>.utility-bar .left { display:none; }
		<?php
	} else if (isset($hidden_on_mobile[1]) && !isset($hidden_on_mobile[0])){
		?>.utility-bar .right { display:none; }
		<?php
	}
	
	if (isset($hidden_on_mobile[2]) && isset($hidden_on_mobile[3])){
		?>.footer { display:none; } .sidebar { margin-bottom:0; } .page-template-template-home-php .main { padding-bottom:0; }
		<?php
	} else if (isset($hidden_on_mobile[2]) && !isset($hidden_on_mobile[3])){
		?>.footer .left { display:none; } .page-template-template-home-php .main { padding-bottom:10px; }
		<?php
	} else if (isset($hidden_on_mobile[3]) && !isset($hidden_on_mobile[2])){
		?>.footer .right { display:none; } .page-template-template-home-php .main { padding-bottom:10px; }
		<?php
	}
	
	if (isset($hidden_on_mobile[4])){
		?>.banner { display:none; }
		.page-template-template-home-php .header { position:relative; margin:0 0 30px; }
		<?php
	}
	
	?>}<?php
	
}

?>/* Body */

body { <?php if ($body_bg_image) { ?>background:url('<?php echo $body_bg_image; ?>') <?php echo $body_bg_image_repeat; ?> <?php echo $body_bg_image_position; ?> <?php echo $body_bg_image_fixed; ?>;<?php } ?> background-color:<?php echo $body_bg_color; ?>; }

body,
input, 
textarea, 
select { font-family:'<?php echo $main_font; ?>'; }
body { color: <?php echo $theme_options['to_color_inner_page_text_color']; ?>; }
<?php if ($boxed_style){ ?>body .container<?php } else { ?>body<?php } ?> { background: <?php echo $theme_options['to_color_inner_page_bg_color']; ?>; }
body.page-template-template-full-php .container, .container.full-page { background-color:#fff; }
a { color: <?php echo $theme_options['to_color_inner_page_link_color']; ?>; }

/* Header */
.header { background:url('<?php echo $banner_image; ?>') no-repeat top center; }
.header-main { height: 90px; background: <?php echo self_hex_to_rgba($theme_options['to_color_header_bg_color'], $theme_options['to_color_header_bg_opacity']); ?>; }
.banner { height:<?php if ($banner_text){ echo $banner_height.'px;'; } else { echo 'auto;'; } ?> }

.container { background: repeat-y center 0; }
.container-side { background-color: #fff; }

<?php if ($boxed_style){ ?>.page-template-template-home-php .container<?php } else { ?>body.page-template-template-home-php<?php } ?> { background-color: <?php echo $theme_options['to_color_sidebar_home_bg_color']; ?>; }

.color-bar, .color-bar-1 { background-color: <?php echo $theme_options['to_color_color_bar_bg_color_1']; ?>; }
.color-bar-2 { background-color: <?php echo $theme_options['to_color_color_bar_bg_color_2']; ?>; }
.color-bar-3 { background-color: <?php echo $theme_options['to_color_color_bar_bg_color_3']; ?>; }
.color-bar-4 { background-color: <?php echo $theme_options['to_color_color_bar_bg_color_4']; ?>; }
.color-bar-5 { background-color: <?php echo $theme_options['to_color_color_bar_bg_color_5']; ?>; }

.nav { line-height: 90px; font-size: 19px; }
.nav a { color: <?php echo $theme_options['to_color_navigation_text_color']; ?>; }
.nav li:hover > a,
.nav .current-menu-item > a,
.nav .current-menu-parent > a,
.slicknav_menu { background-color: <?php echo $theme_options['to_color_navigation_text_bg_hover_color']; ?>; color: <?php echo $theme_options['to_color_navigation_text_hover_color']; ?>; }

.nav ul ul { background-color: <?php echo $theme_options['to_color_dropdown_bg_color']; ?>; font-size: 16px; }
.nav ul ul a { color: <?php echo $theme_options['to_color_dropdown_text_color']; ?>; }
.nav ul ul li:hover > a,
body .slicknav_nav a:hover,
body .slicknav_nav .slicknav_row:hover,
body .slicknav_nav .slicknav_row:hover a { text-decoration:none; background-color: <?php echo $theme_options['to_color_dropdown_bg_hover_color']; ?>; color: <?php echo $theme_options['to_color_dropdown_text_hover_color']; ?>; }

.utility-bar, .slicknav_btn { background: <?php echo self_hex_to_rgba($theme_options['to_color_header_bar_bg_color'], $theme_options['to_color_header_bar_bg_opacity']); ?>; color: <?php echo $theme_options['to_color_header_bar_text_color']; ?>; }
.utility-bar a, .slicknav_btn { color: <?php echo $theme_options['to_color_header_bar_link_color']; ?>; }

.socials a { color: <?php echo $theme_options['to_color_header_bar_social_icon_color']; ?>; }
.socials small { background-color: <?php echo $theme_options['to_color_header_bar_social_icon_bg_color']; ?>; }
.socials a:hover { color: <?php echo $theme_options['to_color_header_bar_social_icon_hover_color']; ?>; }
.socials a:hover small { background-color: <?php echo $theme_options['to_color_header_bar_social_icon_bg_hover_color']; ?>; }

.banner-text * { color: <?php echo $theme_options['to_color_banner_text_color']; ?>; }

.entry-meta { color: #aaa; }
.entry-meta a { color: #aaa; }

.nav-single a { color: #555; }

h2, h4,
.rb-resume-block .rb-experience .rb-section-title,
.section h4, h3.widget-title,
.star-on-png, .star-off-png, .star-half-png { color: <?php echo $theme_options['to_color_inner_page_secondary_color']; ?>; }

.about { overflow: hidden; }
.about h5 { color: <?php echo $theme_options['to_color_inner_page_secondary_color']; ?>; }

/* Button Colors */
#respond input#submit, .wpcf7-form input[type=submit],
.btn, .rb-resume-block .rb-btn, .widget .rb-resume-block .rb-btn, .searchform .searchsubmit,
ol.commentlist li.comment div.reply a, #cancel-comment-reply-link { background-color: <?php echo $theme_options['to_color_button_filled_bg_color']; ?>; border: 2px solid <?php echo $theme_options['to_color_button_filled_bg_color']; ?>; color: <?php echo $theme_options['to_color_button_filled_text_color']; ?>; }

/* Button Hover Colors */
#respond input#submit:hover, .wpcf7-form input[type=submit]:hover,
ol.commentlist li.comment div.reply a:hover, #cancel-comment-reply-link:hover,
.btn:hover, .rb-resume-block .rb-btn:hover, .widget .rb-resume-block .rb-btn:hover { background-color: <?php echo $theme_options['to_color_button_filled_bg_hover_color']; ?>; border-color: <?php echo $theme_options['to_color_button_filled_bg_hover_color']; ?>; color: <?php echo $theme_options['to_color_button_filled_text_hover_color']; ?>; }

.btn-white, .rb-resume-block .rb-btn.rb-btn-white { background-color: transparent; border-color: <?php echo $theme_options['to_color_button_open_border_color']; ?>; color: <?php echo $theme_options['to_color_button_open_text_color']; ?>; }
.btn-white:hover, .rb-resume-block .rb-btn.rb-btn-white:hover { background-color: transparent; border-color: <?php echo $theme_options['to_color_button_open_border_hover_color']; ?>; color: <?php echo $theme_options['to_color_button_open_text_hover_color']; ?>; }

.page-template-template-home-php .sidebar a, .page-template-template-home-php .sidebar h3.widget-title, .page-template-template-home-php .sidebar, .page-template-template-home-php .sidebar .star-on-png, .page-template-template-home-php .sidebar .star-off-png, .page-template-template-home-php .sidebar .star-half-png { color: <?php echo $theme_options['to_color_sidebar_home_text_color']; ?>; }

.widget_contact span { background-color: #fff; color: #555; }
.page-template-template-home-php .widget .rb-contact-block li span { background-color: <?php echo $theme_options['to_color_sidebar_home_icon_bg_color']; ?>; color: <?php echo $theme_options['to_color_sidebar_home_icon_color']; ?>; }

.widget_links a { color: #555; }

.widget_social a { color: #aaa; }
.widget_social p a { color: #e04c38; }
.widget_social .btn { color: #fff; }

.footer { background-color: <?php echo $theme_options['to_color_footer_bar_bg_color']; ?>; color: <?php echo $theme_options['to_color_footer_bar_text_color']; ?>; }
.footer a { color: <?php echo $theme_options['to_color_footer_bar_link_color']; ?>; }
.footer .socials a { color: <?php echo $theme_options['to_color_footer_bar_social_icon_color']; ?>; }
.footer .socials small { background-color: <?php echo $theme_options['to_color_footer_bar_social_icon_bg_color']; ?>; }
.footer .socials a:hover { color: <?php echo $theme_options['to_color_footer_bar_social_icon_hover_color']; ?>; }
.footer .socials a:hover small { background-color: <?php echo $theme_options['to_color_footer_bar_social_icon_bg_hover_color']; ?>; }

@media (max-width: 1024px) {

	.page-template-template-home-php .sidebar { background-color: <?php echo $theme_options['to_color_sidebar_home_bg_color']; ?>; }

}

@media (max-width: 767px) {
	.header-main { background: <?php echo self_hex_to_rgba($theme_options['to_color_header_bg_color'], $theme_options['to_color_header_bg_opacity']); ?>; }
}