<?php
/**
 * Meta Boxes
 */
add_action('admin_init', 'self_custom_meta_boxes');
function self_custom_meta_boxes() {
	if ( !function_exists('ot_register_meta_box') ) {
		return;
	}

	$template_pages_meta_boxes = array(
		'id'       => 'pages_meta_boxes',
		'title'    => __('Page Settings', 'selftwo'),
		'desc'     => '',
		'pages'    => array('page'),
		'context'  => 'normal',
		'priority' => 'high',
		'fields'   => array(
			# Hide Page Title
			array(
				'label' => __('Hide Page Title', 'selftwo'),
				'id'    => 'page_hide_title',
				'type'  => 'radio',
				'std'   => 'no',
				'choices' => array(
					array(
						'value' => 'yes',
						'label' => __('Yes', 'selftwo'),
						'src'   => '',
					),
					array(
						'value' => 'no',
						'label' => __('No', 'selftwo'),
						'src'   => '',
					),
				),
			),
			
			# Content Position
			array(
				'label' => __('Sidebar Position', 'selftwo'),
				'id'    => 'page_content_position',
				'desc'	=> '<strong>NOTE:</strong> The "No Homepage Sidebar" only applies to the Homepage template, choose the Full Width template to hide the sidebar on normal pages.',
				'type'  => 'radio',
				'std'   => 'left',
				'choices' => array(
					array(
						'value' => 'left',
						'label' => __('Right Sidebar', 'selftwo'),
						'src'   => '',
					),
					array(
						'value' => 'right',
						'label' => __('Left Sidebar', 'selftwo'),
						'src'   => '',
					),
					array(
						'value' => 'full',
						'label' => __('No Homepage Sidebar', 'selftwo'),
						'src'   => '',
					),
				),
			),

			# Choose Sidebar
			array(
				'label' => __('Choose Sidebar for Page', 'selftwo'),
				'id'    => 'page_sidebar',
				'type'  => 'sidebar-select',
				'std'   => 'default-sidebar',
			),
			
		),
	);

	ot_register_meta_box($template_pages_meta_boxes);
}
